<?php

declare(strict_types=1);

namespace App\Request;

use App\Constants\HttpEnumCode;
use Hyperf\Validation\Request\FormRequest;

class DoctorAccountRequest extends FormRequest
{
    protected array $scenes = [
        'getDoctorAccount' => [ // 获取我的账户数据
            'date',
        ],
        'getDoctorAccountInfo' => [ // 获取我的账户日账单明细数据
            'date',
        ],
        'getDoctorWithdrawalRecordList' => [ // 获取医生提现记录列表
            'year',
        ],
    ];

    /**
     * Determine if the user is authorized to make this request.
     */
    public function authorize(): bool
    {
        return true;
    }

    /**
     * Get the validation rules that apply to the request.
     */
    public function rules(): array
    {
        return [
            'date' => 'required',
            'year' => 'required',
        ];
    }

    /**
     * 获取已定义验证规则的错误消息.
     */
    public function messages(): array
    {
        return [
            'date.required' => HttpEnumCode::getMessage(HttpEnumCode::CLIENT_HTTP_ERROR),
            'year.required' => HttpEnumCode::getMessage(HttpEnumCode::CLIENT_HTTP_ERROR),
        ];
    }
}
